image: ruby:3.1

before_script:
  - gem install bundler # Ensure Bundler is installed
  - bundle install # Install gem dependencies as specified in your Gemfile

pages:
  stage: deploy
  script:
    - bundle exec jekyll build -d public  # Use `bundle exec` to ensure the command runs within Bundler's context
    - echo "The site will be deployed to $CI_PAGES_URL"
  artifacts:
    paths:
      - public
  rules:
    - if: $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH

